Deployments.ai Docs
Providers

Show a connection verification

GET /v1/connection-verifications/{id} · SDK getConnectionVerification · CLI deployments verification show

GET
/v1/connection-verifications/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ConnectionVerificationResponse

application/json
  1. response
completedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
connectionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
error?
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
result?
status*string
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X GET "https://example.com/v1/connection-verifications/string" \  -H "x-deployments-environment: string"
{  "completedAt": "2019-08-24T14:15:22Z",  "connectionId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "error": {    "property1": null,    "property2": null  },  "id": "string",  "providerKey": "string",  "result": {    "property1": null,    "property2": null  },  "status": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}